## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.9

Main Page | Class Hierarchy | Alphabetical List | Class List | File List | Class Members | File Members | Related Pages

# URISupport Class Reference

List of all members.

## Public Types

- typedef XalanAutoPtr< XMLURLType > URLAutoPtrType

## Static Public Member Functions

- URLAutoPtrType getURLFromString (const XalanDOMString &urlString, MemoryManagerType &theManager)
    Determine the fully qualified URI for a string.
- void getURLFromString (const XalanDOMString &urlString, XMLURLType &url, MemoryManagerType &theManager)
    Determine the fully qualified URI for a string.
- URLAutoPtrType getURLFromString (const XalanDOMChar *urlString, MemoryManagerType &theManager)
    Determine the fully qualified URI for a string.
- void getURLFromString (const XalanDOMChar *urlString, XMLURLType &url, MemoryManagerType &theManager)
    Determine the fully qualified URI for a string.
- URLAutoPtrType getURLFromString (const XalanDOMString &urlString, const XalanDOMString &base, MemoryManagerType &theManager)
    Determine the fully qualified URI for a string.
- URLAutoPtrType getURLFromString (const XalanDOMChar *urlString, const XalanDOMChar *base)
    Determine the fully qualified URI for a string.
- void getURLStringFromString (const XalanDOMString &urlString, XalanDOMString &theNormalizedURI)
    Determine the fully qualified URI for a string.
- void getURLStringFromString (const XalanDOMChar *urlString, XalanDOMString &theNormalizedURI)
    Determine the fully qualified URI for a string.
- void getURLStringFromString (const XalanDOMChar *urlString, XalanDOMString::size_type len, XalanDOMString &theNormalizedURI)
    Determine the fully qualified URI for a string.
- void getURLStringFromString (const XalanDOMString &urlString, const XalanDOMString &base, XalanDOMString &theNormalizedURI)
    Determine the fully qualified URI for a string.
- void getURLStringFromString (const XalanDOMChar *urlString, const XalanDOMChar *base, XalanDOMString &theNormalizedURI)
    Determine the fully qualified URI for a string.
- void getURLStringFromString (const XalanDOMChar *urlString, XalanDOMString::size_type urlStringLen, const XalanDOMChar *base, XalanDOMString::size_type baseLen, XalanDOMString &theNormalizedURI)
    Determine the fully qualified URI for a string.
- XalanDOMString & NormalizeURIText (XalanDOMString &uriString)
    Normalizes the string passed in, replacing \ with /.

## Static Public Attributes

- const XalanDOMChar s_fileProtocolString1 []
- const XalanDOMChar s_fileProtocolString2 []

## Member Typedef Documentation

typedef XalanAutoPtr<XMLURLType> URISupport::URLAutoPtrType

## Member Function Documentation

URLAutoPtrType URISupport::getURLFromString | ( | const XalanDOMChar * | urlString,
|  | const XalanDOMChar * | base
| ) | `[static]`

Determine the fully qualified URI for a string.

Parameters:

  urlString | string to qualify
  base | base location for URI

Returns:
  auto pointer to fully qualified URI

URLAutoPtrType URISupport::getURLFromString | ( | const XalanDOMString & | urlString,
|  | const XalanDOMString & | base,
|  | MemoryManagerType & | theManager
| ) | `[static]`

Determine the fully qualified URI for a string.

Parameters:

  urlString | string to qualify
  base | base location for URI

Returns:
  auto pointer to fully qualified URI

void URISupport::getURLFromString | ( | const XalanDOMChar * | urlString,
|  | XMLURLType & | url,
|  | MemoryManagerType & | theManager
| ) | `[static]`

Determine the fully qualified URI for a string.

Parameters:

  urlString | string to qualify
  url | to update with the qualified string.

URLAutoPtrType URISupport::getURLFromString | ( | const XalanDOMChar * | urlString,
|  | MemoryManagerType & | theManager
| ) | `[static]`

Determine the fully qualified URI for a string.

Parameters:

  urlString | string to qualify

Returns:
  auto pointer to fully qualified URI

void URISupport::getURLFromString | ( | const XalanDOMString & | urlString,
|  | XMLURLType & | url,
|  | MemoryManagerType & | theManager
| ) | `[static]`

Determine the fully qualified URI for a string.

Parameters:

  urlString | string to qualify
  url | to update with the qualified string.

URLAutoPtrType URISupport::getURLFromString | ( | const XalanDOMString & | urlString,
|  | MemoryManagerType & | theManager
| ) | `[static]`

Determine the fully qualified URI for a string.

Parameters:

  urlString | string to qualify

Returns:
  auto pointer to fully qualified URI

void URISupport::getURLStringFromString | ( | const XalanDOMChar * | urlString,
|  | XalanDOMString::size_type | urlStringLen,
|  | const XalanDOMChar * | base,
|  | XalanDOMString::size_type | baseLen,
|  | XalanDOMString & | theNormalizedURI
| ) | `[static]`

Determine the fully qualified URI for a string.

Parameters:

  urlString | string to qualify
  base | base location for URI
  theNormalizedURI | fully qualified URI

void URISupport::getURLStringFromString | ( | const XalanDOMChar * | urlString,
|  | const XalanDOMChar * | base,
|  | XalanDOMString & | theNormalizedURI
| ) | `[static]`

Determine the fully qualified URI for a string.

Parameters:

  urlString | string to qualify
  base | base location for URI
  theNormalizedURI | fully qualified URI

void URISupport::getURLStringFromString | ( | const XalanDOMString & | urlString,
|  | const XalanDOMString & | base,
|  | XalanDOMString & | theNormalizedURI
| ) | `[static]`

Determine the fully qualified URI for a string.

Parameters:

  urlString | string to qualify
  base | base location for URI
  theNormalizedURI | fully qualified URI

void URISupport::getURLStringFromString | ( | const XalanDOMChar * | urlString,
|  | XalanDOMString::size_type | len,
|  | XalanDOMString & | theNormalizedURI
| ) | `[static]`

Determine the fully qualified URI for a string.

Parameters:

  urlString | string to qualify
  len | the length of urlString
  theNormalizedURI | fully qualified URI

void URISupport::getURLStringFromString | ( | const XalanDOMChar * | urlString,
|  | XalanDOMString & | theNormalizedURI
| ) | `[static]`

Determine the fully qualified URI for a string.

Parameters:

  urlString | string to qualify
  theNormalizedURI | fully qualified URI

void URISupport::getURLStringFromString | ( | const XalanDOMString & | urlString,
|  | XalanDOMString & | theNormalizedURI
| ) | `[static]`

Determine the fully qualified URI for a string.

Parameters:

  urlString | string to qualify

Returns:
  string to fully qualified URI

XalanDOMString& URISupport::NormalizeURIText | ( | XalanDOMString & | uriString | ) | `[static]`

Normalizes the string passed in, replacing \ with /.

Parameters:

  urlString | string to normalize

Returns:
  a reference to the passed parameter

## Member Data Documentation

const XalanDOMChar URISupport::s_fileProtocolString1[]`[static]`

const XalanDOMChar URISupport::s_fileProtocolString2[]`[static]`

The documentation for this class was generated from the following file:

- URISupport.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.9 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.